<?php
include VIEWPATH.'includes/new_header.php';
?>

<body class="hold-transition sidebar-mini">
  <!-- Site wrapper -->
  <div class="wrapper">
    <?php
    include VIEWPATH.'includes/new_top_menu.php';
    include VIEWPATH.'includes/new_menu_principal.php';
    ?>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.min.css">
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <?php 
      include 'includes/menu_commande.php';
      ?>

      <!-- Main content -->
      <section class="content">

        <!-- Default box -->
        <div class="card">
          <?php 
          if(!empty($this->session->flashdata('message')))
           echo $this->session->flashdata('message');
         ?>




         <div class="card card-primary">
          <div class="card-header">
            <h3 class="card-title">Enregistrement d'une commande</h3>
          </div>
          <!-- /.card-header -->
          <!-- form start -->
          <form role="form" id="myform" action="<?=base_url('vente/Commande/add')?>" enctype="multipart/form-data" method="POST">
            <div class="card-body row">



              <div class="form-group col-lg-4">
                <label for="exampleInputEmail1">Numero Vente <spam class="text-danger">*</spam></label>
                <input type="text" class="form-control" id="NUMERO_VENTE" name="NUMERO_VENTE" readonly="readonly" value="<?php echo $NUMERO_VENTE;?>">
                <?php echo form_error('NUMERO_VENTE', '<div class="text-danger">', '</div>'); ?>
                <span id="error_numero" style="color:red; font-weight:bold; display:none;"></span>
              </div> 

              <div class="form-group col-lg-4">
                <label for="exampleInputEmail1">Client<spam class="text-danger">*</spam> </label>
                <select class="custom-select" name="ID_CLIENT" id="ID_CLIENT" onchange="get_prix()">
                  <option value="">-- Select --</option>

                  <?php
                  foreach ($typeclient as $tclient) {
                   echo"<option value='".$tclient['ID_CLIENT']."'>".$tclient['NOM']." ".$tclient['PRENOM']."(".$tclient['DESCRIPTION'].")</option>";
                 }
                 ?>
               </select>

               <?php echo form_error('ID_CLIENT', '<div class="text-danger">', '</div>'); ?>
             </div>

             <div class="form-group col-lg-4">
              <label for="exampleInputEmail1">Date commande <spam class="text-danger">*</spam></label>
              <input type="date" class="form-control" id="DATE_COMMANDE" name="DATE_COMMANDE" value="<?=set_value('DATE_COMMANDE')?>">
              <?php echo form_error('DATE_COMMANDE', '<div class="text-danger">', '</div>'); ?>
            </div> 

            <div class="col-md-12"><h4><lead>Element de la commande</lead></h4></div>
            <div class="form-group col-md-2">
              <label for="ID_COUVERTURE_MEDICAMENT"> Taille <i class="text-danger"> *</i></label>

              <select class="custom-select" name="ID_TAILLE_BOUTEILLE" id="ID_TAILLE_BOUTEILLE" onchange="get_lot();get_bouteille();updateQuantityLabel();get_prix()">
                <option value="">-- Select --</option>

                <?php
                foreach ($tailbout as $typebous) {
                 echo"<option value='".$typebous['ID_TAILLE_BOUTEILLE']."'>".$typebous['DESCRIPTION']."</option>";
               }
               ?>
             </select>

             <?php echo form_error('ID_TAILLE_BOUTEILLE', '<div class="text-danger">', '</div>'); ?>
             <span id="error_taille" style="color:red; font-weight:bold; display:none;"></span>
           </div>

           <div class="form-group col-md-2" id="div_lot">
            <label for="ID_LOT">Lot <i class="text-danger"> *</i></label>
            <select class="form-control" name="ID_LOT" id="ID_LOT">
              <option value="">-</option>
            </select>
            <?php echo form_error('ID_LOT', '<div class="text-danger">', '</div>'); ?>
            <span id="error_lot" style="color:red; font-weight:bold; display:none;"></span>
          </div>

          <div class="form-group col-md-3" id="div_bouteille">
            <label for="VENTE_BOUTEILLE_ID"> Bouteille <i class="text-danger"> *</i></label>

            <select class="custom-select" name="VENTE_BOUTEILLE_ID" id="VENTE_BOUTEILLE_ID" onchange="get_prix()">
              <option value="">-- Select --</option>

              <?php
              foreach ($ventebout as $typebous) {
               echo"<option value='".$typebous['VENTE_BOUTEILLE_ID']."'>".$typebous['DESCRIPTION']."</option>";
             }
             ?>
           </select>

           <?php echo form_error('VENTE_BOUTEILLE_ID', '<div class="text-danger">', '</div>'); ?>
           <span id="error_vente" style="color:red; font-weight:bold; display:none;"></span>
         </div>

         <div class="form-group col-md-2">
          <label for="QUANTITE_COMMANDE" id="label_quantite"> Quantite <i class="text-danger"> *</i></label>
          <input type="text"  max=""  class="form-control" id="QUANTITE_COMMANDE" name="QUANTITE_COMMANDE" value="<?=set_value('QUANTITE_COMMANDE') ?>">

          <?php echo form_error('QUANTITE_COMMANDE', '<div class="text-danger">', '</div>'); ?>
          <span id="error_quantite" style="color:red; font-weight:bold; display:none;"></span>
        </div>

        <div class="form-group col-md-2">
          <label for="PRIX_UNITAIRE"> Prix Unitaire <i class="text-danger"> *</i></label>
          <input type="text"  max=""  class="form-control" id="PRIX_UNITAIRE" name="PRIX_UNITAIRE" value="<?=set_value('PRIX_UNITAIRE') ?>" readonly>
          <?php echo form_error('PRIX_UNITAIRE', '<div class="text-danger">', '</div>'); ?>
          <span id="error_prix" style="color:red; font-weight:bold; display:none;"></span>
        </div>



        <div class="form-group col-md-1">  <br>                          
          <button type="button" class="btn btn-primary btn-lg" onclick="add_ingredient()">
            <i class="nav-icon fas fa-plus"></i>
          </button>
        </div>




        <div class="form-group col-md-12" id="RESULTATS"></div>


      </div>
      <!-- /.card-body -->

      <div class="card-footer">
        <button type="submit" id="btnEnregistrer" class="btn btn-primary btn-block">Enregistrer</button>
      </div>
    </form>
  </div>

</div>
<!-- /.card -->

</section>
<!-- /.content -->
</div>
<!-- /.content-wrapper -->

<?php
include VIEWPATH.'includes/new_copy_footer.php';  
?>
<!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->
<?php
include VIEWPATH.'includes/new_script.php';
?>



</body>
</html>
<script>
  $(document).ready(function(){ 
    $('#message').delay(5000).hide('slow');
    $('#div_bouteille').hide();
    get_bouteille()
  });




</script>



<script>
  function get_bouteille() {
    var ID_TAILLE_BOUTEILLE = $('#ID_TAILLE_BOUTEILLE').val();

        // Vérifie si la taille sélectionnée est 3 ou 4
        if (ID_TAILLE_BOUTEILLE == 3 || ID_TAILLE_BOUTEILLE == 4) {
          $('#div_bouteille').show();    
        } else {
          $('#div_bouteille').hide();
          $('#VENTE_BOUTEILLE_ID').val('')
        }
      }




    </script>
    
    <script>
      function updateQuantityLabel() {
        var tailleId = document.getElementById('ID_TAILLE_BOUTEILLE').value;
        var quantityLabel = document.getElementById('label_quantite');

  // Example mapping of sizes to labels
  var sizeLabels = {
    '1': 'Quantité box',
    '2': 'Quantité box', 
    '3': 'Quantité ',
    '4': 'Quantité ',
  };

  // Update the label based on the selected size
  if (sizeLabels[tailleId]) {
    quantityLabel.innerHTML = sizeLabels[tailleId] + ' <i class="text-danger"> *</i>';
  }
//   else {
//     quantityLabel.innerHTML = 'Quantité <i class="text-danger"> *</i>';
//   }

  // Reset input value
  document.getElementById('QUANTITE_COMMANDE').value = '';
}
</script>



<script>
  function add_ingredient(){
    var NUMERO_VENTE=$('#NUMERO_VENTE').val();
    var PRIX_UNITAIRE=$('#PRIX_UNITAIRE').val();
    var QUANTITE_COMMANDE=$('#QUANTITE_COMMANDE').val();
    var ID_TAILLE_BOUTEILLE=$('#ID_TAILLE_BOUTEILLE').val();
    var ID_LOT=$('#ID_LOT').val();
    var VENTE_BOUTEILLE_ID=$('#VENTE_BOUTEILLE_ID').val();




    if (!NUMERO_VENTE) {
      $('#error_numero').text("Veuillez sélectionner un numero de vente.");
      return;
    }


    if (!PRIX_UNITAIRE) {
      $('#error_taille').text("Veuillez sélectionner un client.");
      return;
    }


    if (!QUANTITE_COMMANDE) {
      $('#error_lot').text("Veuillez sélectionner un client.");
      return;
    }


    if (!ID_TAILLE_BOUTEILLE) {
      $('#error_vente').text("Veuillez sélectionner un client.");
      return;
    }


    if (!ID_LOT) {
      $('#error_quantite').text("Veuillez sélectionner un client.");
      return;
    }

    if(ID_TAILLE_BOUTEILLE ==3 || ID_TAILLE_BOUTEILLE==4){

     if (!VENTE_BOUTEILLE_ID) {
      $('#error_prix').text("Veuillez sélectionner un client.");
      return;
    }

  }




  $.post('<?php echo base_url();?>vente/Commande/add_tocart',
  {
    NUMERO_VENTE:NUMERO_VENTE,
    PRIX_UNITAIRE:PRIX_UNITAIRE,
    QUANTITE_COMMANDE:QUANTITE_COMMANDE,
    ID_TAILLE_BOUTEILLE:ID_TAILLE_BOUTEILLE,
    ID_LOT:ID_LOT,
    VENTE_BOUTEILLE_ID:VENTE_BOUTEILLE_ID
  },
  function(data) 
  {

   RESULTATS.innerHTML = data;  
   $('#RESULTATS').html(data);
   $('#VENTE_BOUTEILLE_ID').val('');
   $('#ID_TAILLE_BOUTEILLE').val('');
   $('#ID_LOT').val('');
   $('#PRIX_UNITAIRE').val('');
   $('#QUANTITE_COMMANDE').val('');

 }
 ); 
}
</script>

<script>
// la fonction pour affiche le commune selon la province selectionnee
function get_lot() {
  var ID_TAILLE_BOUTEILLE = $('#ID_TAILLE_BOUTEILLE').val();

  $.post("<?= base_url('vente/Commande/get_lot') ?>", {
    ID_TAILLE_BOUTEILLE: ID_TAILLE_BOUTEILLE
  }, function(data) {
    ID_LOT.innerhtml = data;
    $('#ID_LOT').html(data);
  })
}
</script>

<script>
// la fonction pour affiche le commune selon la province selectionnee
function get_prix() {
  var ID_CLIENT = $('#ID_CLIENT').val();
  var ID_TAILLE_BOUTEILLE = $('#ID_TAILLE_BOUTEILLE').val();
  var VENTE_BOUTEILLE_ID = $('#VENTE_BOUTEILLE_ID').val();

  

  if (!ID_CLIENT) {
    $('#error_taille').text("Veuillez sélectionner un client.");
    return;
  }

  if (!ID_TAILLE_BOUTEILLE) {
    $('#error_taille').text("Veuillez sélectionner une taille de bouteille."); 
    return; 
  }
  $.post("<?= base_url('vente/Commande/get_prix') ?>", {
    ID_CLIENT: ID_CLIENT,
    ID_TAILLE_BOUTEILLE : ID_TAILLE_BOUTEILLE,
    VENTE_BOUTEILLE_ID : VENTE_BOUTEILLE_ID  
  }, function(data) {   
    $('#PRIX_UNITAIRE').val(data);
  })
}
</script>

<script>
// la fonction pour affiche le commune selon la province selectionnee
function remove_cart(id) {
  var ID_VENTE_DETAILS = id;

  $.post("<?= base_url('vente/Commande/remove_cart') ?>", {
    ID_VENTE_DETAILS: ID_VENTE_DETAILS
  }, function(data) {
    // RESULTATS.innerhtml = data;
    $('#RESULTATS').show();
  })
}
</script>

<script>
  $(document).ready(function() {
    var hasSubmitted = false;

    $("#myform").submit(function(event) {
        // Prevent default submission if already submitted
        if (hasSubmitted) {
          event.preventDefault();
          console.log("Form already submitted!");
          return;
        }

        // Disable the button and show processing message
        $("#btnEnregistrer").prop("disabled", true).text("Processing...");

        // Mark that the form is submitted
        hasSubmitted = true;
      });

    $("#btnEnregistrer").click(function() {
        // Allow submission only if not already submitted
        if (!hasSubmitted) {
          $("#myform").submit();
        }
      });
  });
</script>